<?php
	/* WebWall */
	define("ONLINE", 1);
	$root = dirname( dirname( dirname(__FILE__) ) );
	require_once "$root/core.php";
	checkuserloggedin();
	$recover["code"] = text_filter($_POST["code"], 1);
	
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{ 
		$template_session->setparameter("serializeRecoveryPass", $engine_session->recoverpassword($recover["code"]), true); 
	}
	else
	{ 
		$template_session->setparameter("serializeRecoveryPass", '', true);
	}

	$template_session->loadhead($template_session->getlangval(106));
	$template_session->loadlogo(1); 
	$template_session->loadmenu();
	$template_session->loadtpl("forgotpassword"); 
	$template_session->addline('<div id="footerspace"></div></div>');
	$template_session->loadtpl("footer");
	$template_session->loadend();
?>